import os
import predict_image_class
from flask import Flask, request
from flask_cors import CORS, cross_origin
from flask import send_file

app = Flask(__name__)
cors = CORS(app)
uploadPath = "uploads"

@app.route('/predict', methods=['POST'])
@cross_origin()
def uploadImage():
    print(os.getcwd())
    f = request.files['file']
    splits = f.filename.split("/")
    print(splits[len(splits)-1])
    # os.remove(os.path.join(uploadPath, "upload.jpg"))
    f.save(os.path.join(uploadPath, "upload.jpg"))
    return predict_image_class.predictImageClass("uploads/upload.jpg")

@app.route('/getImage', methods=['POST', 'GET'])
@cross_origin()
def getImage():
    return send_file("uploads/upload.jpg", mimetype='image/gif')

if __name__ == '__main__':
    app.run(debug=True, port=5000, host="0.0.0.0")
